Initiatives
Get participant
Get one participant’s status and captured answers.
GET
/
api
/
v1
/
initiatives
/
{id}
/
participants
/
{participantId}
Get participant
curl --request GET \
--url https://www.useboom.ai/api/v1/initiatives/{id}/participants/{participantId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.useboom.ai/api/v1/initiatives/{id}/participants/{participantId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.useboom.ai/api/v1/initiatives/{id}/participants/{participantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"participantId": "<string>",
"phoneNumber": "<string>",
"name": "<string>",
"values": [
{
"label": "<string>",
"valueKind": "<string>",
"value": "<string>",
"sourceQuote": "<string>",
"confidence": 123
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Organization API key, sent as Authorization: Bearer boom_org_....
Path Parameters
Initiative id.
Minimum string length:
1Participant id, as returned when adding or listing.
Minimum string length:
1Response
Success
ACTIVE (conversation may still happen), COMPLETED, STOPPED (messaging halted), EXPIRED, or FAILED.
Available options:
ACTIVE, COMPLETED, STOPPED, EXPIRED, FAILED Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get participant
